> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# chatuser

## "chatuser" MDO List

Implemented by the <see cref="T:SuperOffice.CRM.Lists.ChatUserProvider">ChatUserProvider</see> class.
The name of the MDO list is 'chatuser'.

## Additional Attributes

| Description                               | Name        | Example Value |
| ----------------------------------------- | ----------- | ------------- |
| Only users who are present                | onlyPresent | True          |
| Do not include current user               | removeSelf  | True          |
| Return Associate ID instead of ejUser id  | associate   | True          |
| Only users who are a member of this topic | topicId     | 0             |

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/chatuser
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("chatuser", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name                  | StyleHint | ExtraInfo |
| -- | --------------------- | --------- | --------- |
| 3  | Adm0                  |           |           |
| 23 | Adm1                  |           |           |
| 24 | Adm2                  |           |           |
| 25 | Adm3                  |           |           |
| 26 | Adm4                  |           |           |
| 27 | Adm5                  |           |           |
| 13 | Admin Adminson        |           |           |
| 14 | Arne Arnesen          |           |           |
| 41 | AdmNS02 NetServer     |           |           |
| 45 | RevNS03 NetServer     |           |           |
| 46 | SalNS00 NetServer     |           |           |
| 48 | Listadm Listadm       |           |           |
| 49 | Useradm Useradm       |           |           |
| 50 | User Local            |           |           |
| 51 | Localuser2 Localuser2 |           |           |
| 52 | Localuser3 Localuser3 |           |           |
| 53 | Johan Jensen          |           |           |
| 54 | Kjell Jensen          |           |           |
| 55 | Olga Jensen           |           |           |
| 56 | Lollo Johansen        |           |           |
| 57 | Morten Johansen       |           |           |

## Related MDO Lists

* "chatuserheadings"
* "chatuserheadingswithallitem"
* "chatuserheadingswithallitemwithnoselection"
* "chatuserheadingswithnoselection"
* "chatuserwithallitem"
* "chatuserwithallitemwithnoselection"
* "chatuserwithnoselection"


## Related topics

- [SuperOffice.WebApi.Agents.IChatAgent](/en/api/reference/webapi/SuperOffice.WebApi.Agents.IChatAgent.md)
- [SuperOffice.WebApi.Agents.ChatAgent](/en/api/reference/webapi/SuperOffice.WebApi.Agents.ChatAgent.md)
- [Get User Agent List](/en/api/reference/restful/rest/chattopic/get-user-agent-list.md)
- [NSChatAgent](/en/automation/crmscript/reference/CRMScript.NetServer.NSChatAgent.md)
- [MDO List Provider names](/en/api/mdo-providers/reference/index.md)
